All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.tableview
Class BasicColumnHeaderUI

    com.sas.swing.visuals.tableview.BasicColumnHeaderUI

Direct Known Subclasses:
  BasicOLAPColumnHeaderUI

    public class BasicColumnHeaderUI

Nested Class Summary
`class` | `BasicColumnHeaderUI.MouseInputHandler`

Field Summary
`protected boolean` | `resizingColumn`
`protected boolean` | `resizingHeader` The JTableHeader that is delegating the painting to this UI.

Constructor Summary
`BasicColumnHeaderUI()`

Method Summary
`protected java.awt.Dimension` | `createHeaderSize(long width)`
`protected javax.swing.event.MouseInputListener` | `createMouseInputListener()` Creates the mouse listener for the JTable.
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent h)`
`protected ColumnHeader` | `getHeader()`
`protected int` | `getHeaderHeight()`
`protected java.awt.Component` | `getHeaderRenderer(int columnIndex)`
`java.awt.Dimension` | `getMaximumSize(javax.swing.JComponent c)` Return the maximum size of the header.
`java.awt.Dimension` | `getMinimumSize(javax.swing.JComponent c)` Return the minimum size of the header.
`java.awt.Dimension` | `getPreferredSize(javax.swing.JComponent c)` Return the preferred size of the header.
`boolean` | `isResizingColumn()`
`boolean` | `isResizingHeader()`
`protected int` | `modelIndexForColumn(int column)`
`void` | `paint(java.awt.Graphics g, javax.swing.JComponent c)`
`protected void` | `paintCell(java.awt.Graphics g, java.awt.Rectangle cellRect, int columnIndex)`
`protected void` | `paintCells(java.awt.Graphics g, int cMin, int cMax)`
`void` | `setResizingColumn(boolean newValue)`
`void` | `setResizingHeader(boolean newValue)`
`protected int` | `viewIndexForColumn(int column)`

Field Detail

### resizingHeader

    protected boolean resizingHeader

  The JTableHeader that is delegating the painting to this UI.

### resizingColumn

    protected boolean resizingColumn

Constructor Detail

### BasicColumnHeaderUI

    public BasicColumnHeaderUI()

Method Detail

### viewIndexForColumn

    protected int viewIndexForColumn(int column)

### modelIndexForColumn

    protected int modelIndexForColumn(int column)

### setResizingHeader

    public void setResizingHeader(boolean newValue)

### isResizingHeader

    public boolean isResizingHeader()

### setResizingColumn

    public void setResizingColumn(boolean newValue)

### isResizingColumn

    public boolean isResizingColumn()

### getHeader

    protected ColumnHeader getHeader()

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent h)

### createMouseInputListener

    protected javax.swing.event.MouseInputListener createMouseInputListener()

  Creates the mouse listener for the JTable.

  Overrides:
    `createMouseInputListener` in class `javax.swing.plaf.basic.BasicTableHeaderUI`

### getHeaderHeight

    protected int getHeaderHeight()

### createHeaderSize

    protected java.awt.Dimension createHeaderSize(long width)

### getMinimumSize

    public java.awt.Dimension getMinimumSize(javax.swing.JComponent c)

  Return the minimum size of the header. The minimum width is the sum of the minimum widths of each column (plus inter-cell spacing).

  Overrides:
    `getMinimumSize` in class `javax.swing.plaf.basic.BasicTableHeaderUI`

### getPreferredSize

    public java.awt.Dimension getPreferredSize(javax.swing.JComponent c)

  Return the preferred size of the header. The preferred height is the maximum of the preferred heights of all of the components provided by the header renderers. The preferred width is the sum of the preferred widths of each column (plus inter-cell spacing).

  Overrides:
    `getPreferredSize` in class `javax.swing.plaf.basic.BasicTableHeaderUI`

### getMaximumSize

    public java.awt.Dimension getMaximumSize(javax.swing.JComponent c)

  Return the maximum size of the header. The maximum width is the sum of the maximum widths of each column (plus inter-cell spacing).

  Overrides:
    `getMaximumSize` in class `javax.swing.plaf.basic.BasicTableHeaderUI`

### paint

    public void paint(java.awt.Graphics g,
                      javax.swing.JComponent c)

  Overrides:
    `paint` in class `javax.swing.plaf.basic.BasicTableHeaderUI`

### paintCell

    protected void paintCell(java.awt.Graphics g,
                             java.awt.Rectangle cellRect,
                             int columnIndex)

### getHeaderRenderer

    protected java.awt.Component getHeaderRenderer(int columnIndex)

### paintCells

    protected void paintCells(java.awt.Graphics g,
                              int cMin,
                              int cMax)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.